import { TokenOf } from "./tokenize";
import { Feature } from "./types";
export declare type Token = TokenOf<typeof parsers>;
declare const parsers: {
    space: RegExp;
    newline: RegExp;
    colon: RegExp;
    feature: RegExp;
    scenario: RegExp;
    background: RegExp;
    given: RegExp;
    when: RegExp;
    then: RegExp;
    and: RegExp;
    but: RegExp;
    word: RegExp;
    punctuation: RegExp;
};
export declare function parse(text: string): Feature[];
export declare class ParseError extends Error {
    constructor(token: Token | undefined, message: string);
}
export {};
