export declare type TokenOf<Parsers> = Parsers extends TokenParsers<infer Type> ? Token<Type> : Token<string>;
export declare type TokenParsers<Type extends string> = Record<Type, RegExp>;
export interface Token<Type extends string> {
    readonly type: Type;
    readonly value: string;
    readonly matches: string[];
}
export declare function tokenize<Type extends string>(text: string, parsers: TokenParsers<Type>): Token<Type>[];
